org.omg.CORBA

## Class SystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ACTIVITY_COMPLETED, ACTIVITY_REQUIRED, BAD_CONTEXT, BAD_INV_ORDER, BAD_OPERATION, BAD_PARAM, BAD_QOS, BAD_TYPECODE, CODESET_INCOMPATIBLE, COMM_FAILURE, DATA_CONVERSION, FREE_MEM, IMP_LIMIT, IndirectionException, INITIALIZE, INTERNAL, INTF_REPOS, INV_FLAG, INV_IDENT, INV_OBJREF, INV_POLICY, INVALID_ACTIVITY, INVALID_TRANSACTION, MARSHAL, NO_IMPLEMENT, NO_MEMORY, NO_PERMISSION, NO_RESOURCES, NO_RESPONSE, OBJ_ADAPTER, OBJECT_NOT_EXIST, PERSIST_STORE, REBIND, TIMEOUT, TRANSACTION_MODE, TRANSACTION_REQUIRED, TRANSACTION_ROLLEDBACK, TRANSACTION_UNAVAILABLE, TRANSIENT, UNKNOWN, UnknownException

    public abstract class SystemException
    extends RuntimeException

The root class for all CORBA standard exceptions. These exceptions may be thrown as a result of any CORBA operation invocation and may also be returned by many standard CORBA API methods. The standard exceptions contain a minor code, allowing more detailed specification, and a completion status. This class is subclassed to generate each one of the set of standard ORB exceptions. `SystemException` extends `java.lang.RuntimeException`; thus none of the `SystemException` exceptions need to be declared in signatures of the Java methods mapped from operations in IDL interfaces.

See Also:
  documentation on Java IDL exceptions

### Field Summary

Fields
`CompletionStatus` `completed` The status of the operation that threw this exception.
`int` `minor` The CORBA Exception minor code.

### Constructor Summary

Constructors
`protected` `SystemException(String reason, int minor, CompletionStatus completed)` Constructs a `SystemException` exception with the specified detail message, minor code, and completion status.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Converts this exception to a representative string.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### minor

    public int minor

The CORBA Exception minor code.

#### completed

    public CompletionStatus completed

The status of the operation that threw this exception.

### Constructor Detail

#### SystemException

    protected SystemException(String reason,
                              int minor,
                              CompletionStatus completed)

Constructs a `SystemException` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

Parameters:
  `reason` - the String containing a detail message
  `minor` - the minor code
  `completed` - the completion status

### Method Detail

#### toString

    public String toString()

Converts this exception to a representative string.

Overrides:
  `toString` in class `Throwable`
Returns:
  a string representation of this throwable.